Bug 16082 - kmail crashes if terminate with the window "X"
kmail crashes if terminate with the window "X"
Product: Red Hat Linux
Classification: Retired
Component: kdenetwork (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
Depends On:
  Show dependency treegraph
Reported: 2000-08-12 17:27 EDT by Gene Czarcinski
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-08-12 17:27:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Gene Czarcinski 2000-08-12 17:27:19 EDT
The is KDE2 kmail running on rc1.

kmail seem to run fine and terminates normally if the file-exit or
file-close menu items are selected.  However, if the window's exit ("X")
button is used to close/terminate, then kmail crashes.

The traceback I got is:

Here is a backtrace generated by DrKonqi:
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
[New Thread 1024 (LWP 1082)]
0x4131bed9 in __wait4 () from /lib/libc.so.6
#0  0x4131bed9 in __wait4 () from /lib/libc.so.6
#1  0x41383668 in __DTOR_END__ () from /lib/libc.so.6
#2  0x40a2ac67 in KCrash::defaultCrashHandler ()
   from /usr/lib/kde2/lib/libkdecore.so.3
#3  <signal handler called>
#4  0x40edc3cc in QToolBar::~QToolBar () from
#5  0x40701287 in KToolBar::~KToolBar () from
#6  0x40dfcf8c in QWidget::~QWidget () from
#7  0x40e79a87 in QMainWindow::~QMainWindow ()
   from /usr/lib/qt-2.2.0/lib/libqt.so.2
#8  0x4074b6a7 in KMainWindow::~KMainWindow ()
   from /usr/lib/kde2/lib/libkdeui.so.3
#9  0x4075130c in KTMainWindow::~KTMainWindow ()
   from /usr/lib/kde2/lib/libkdeui.so.3
#10 0x813a4e8 in KDialog::marginHint ()
#11 0x807d8ee in KDialog::marginHint ()
#12 0x40e0135a in QWidget::close () from /usr/lib/qt-2.2.0/lib/libqt.so.2
#13 0x40cbb728 in QETWidget::translateCloseEvent ()
   from /usr/lib/qt-2.2.0/lib/libqt.so.2
#14 0x40cb5ec8 in QApplication::x11ClientMessage ()
   from /usr/lib/qt-2.2.0/lib/libqt.so.2
#15 0x40cb6d84 in QApplication::x11ProcessEvent ()
   from /usr/lib/qt-2.2.0/lib/libqt.so.2
#16 0x40cb5bb7 in QApplication::processNextEvent ()
   from /usr/lib/qt-2.2.0/lib/libqt.so.2
#17 0x40d34afc in QApplication::enter_loop ()
   from /usr/lib/qt-2.2.0/lib/libqt.so.2
#18 0x40cb5b37 in QApplication::exec () from
#19 0x817bbcf in KDialog::marginHint ()
#20 0x41283665 in __libc_start_main (
    main=0x817bab0 <KDialog::marginHint(void)+1135544>, argc=5, 
    ubp_av=0xbffff974, init=0x80607d8 <_init>, fini=0x81b0448 <_fini>, 
    rtld_fini=0x4000dca4 <_dl_fini>, stack_end=0xbffff96c)
    at ../sysdeps/generic/libc-start.c:111
Comment 1 Bernhard Rosenkraenzer 2000-08-14 10:34:33 EDT
Please report this type of bugs to submit@bugs.kde.org - code marked "preview"
isn't supposed to be working 100% reliably.
This particular one seems to be fixed in current CVS, so it'll be fixed in 3 or
4 days when we update to 1.93.
Comment 2 Preston Brown 2000-08-14 12:06:39 EDT
kde has been reverted to 1.1.2 for our next release.

Note You need to log in before you can comment on or make changes to this bug.